SystemOrganization addCategory: #'Seaside-Tests-Environment'!

!GRPackage class methodsFor: '*seaside-tests-environment' stamp: 'lr 10/23/2008 21:33'!
seasideTestsEnvironment
	^ self new
		name: 'Seaside-Tests-Environment';
		description: 'Unit tests for the package Seaside-Environment.';
		addDependency: 'Seaside-Environment';
		addDependency: 'Seaside-Tests-Component';
		addDependency: 'Seaside-Tests-RenderLoop';
		addDependency: 'Seaside-Tests-Session';
		addDependency: 'Seaside-Tests-Canvas';
		yourself! !

WAFileHandlerListingTest subclass: #WAHtmlFileHandlerListingTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Seaside-Tests-Environment'!

!WAHtmlFileHandlerListingTest methodsFor: 'testing' stamp: 'MAD 2/21/2009 13:42'!
expectedMimeType
	^ WAMimeType textHtml! !

!WAHtmlFileHandlerListingTest methodsFor: 'testing' stamp: 'MAD 2/21/2009 13:36'!
handlerClass
	^ WAHtmlFileHandlerListing! !

TestCase subclass: #WAEnvironmentDefaultHandlersTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Seaside-Tests-Environment'!

!WAEnvironmentDefaultHandlersTest methodsFor: 'private' stamp: 'jf 9/30/2009 00:19'!
baseName
	^ GRPlatform current defaultDispatcherName! !

!WAEnvironmentDefaultHandlersTest methodsFor: 'private' stamp: 'jf 3/15/2009 18:38'!
defaultDispatcher
	^ WAAdmin defaultDispatcher! !

!WAEnvironmentDefaultHandlersTest methodsFor: 'testing' stamp: 'pmm 9/5/2009 14:08'!
testDefaultFiles
	| app |
	app := self defaultDispatcher entryPointAt: 'files'.
	self assert: app class == WAFileHandler.
	self deny: app isDispatcher.
	self deny: app isApplication.
	self deny: app parent isNil.
	self assert: app name = 'files'.
	self assert: app basePath = '/files'! !

!WAEnvironmentDefaultHandlersTest methodsFor: 'testing' stamp: 'pmm 9/5/2009 14:16'!
testDefaultRoot
	| app |
	app := self defaultDispatcher.
	self assert: app class == WADispatcher.
	self assert: app isDispatcher.
	self assert: app isRoot.
	self deny: app isApplication.
	self assert: app parent isNil.
	self assert: app name = ''.
	self assert: app basePath = '/'! !

!WAEnvironmentDefaultHandlersTest methodsFor: 'testing' stamp: 'jf 9/23/2009 23:26'!
testInvalidConfig
	| app |
	app := self defaultDispatcher handlerAt: 'examplesxyz/counter' ifAbsent: [nil].
	self assert: app isNil.
	app := self defaultDispatcher handlerAt: 'examples/counterxyz' ifAbsent: [nil].
	self assert: app isNil.
	! !
